import { AfterViewInit, ElementRef, OnDestroy, OnInit } from '@angular/core';
import { DaterangepickerDirective, LocaleConfig } from 'ngx-daterangepicker-material';
import { FormControl } from '@angular/forms';
import dayjs from 'dayjs/esm';
import * as i0 from "@angular/core";
export declare class DatepickerComponent implements OnInit, AfterViewInit, OnDestroy {
    opens: string;
    drops: string;
    formElement: FormControl<string>;
    name?: string;
    datePickerDirective: DaterangepickerDirective;
    datePicker: ElementRef;
    datePickerInput: ElementRef;
    maxDate: dayjs.Dayjs;
    set setMaxDate(val: string);
    minDate: dayjs.Dayjs;
    set setMinDate(val: string);
    formControl: FormControl;
    locale: LocaleConfig;
    private subscription;
    private isOpen;
    onDocumentClick(event: any): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    changeButtonsClass(): void;
    onEnterSubmit(e: MouseEvent): void;
    onChange(event: any): void;
    open(event: PointerEvent): void;
    onBlur(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatepickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DatepickerComponent, "epom-datepicker", never, { "opens": "opens"; "drops": "drops"; "formElement": "formElement"; "name": "name"; "setMaxDate": "maxDate"; "setMinDate": "minDate"; }, {}, never, never, false>;
}
